RIO_ENABLE_RX_TX_POR(9)

NAME
rio_enable_rx_tx_port - enable input receiver and output transmitter of given port

SYNOPSIS

int rio_enable_rx_tx_port(struct rio_mport * port, int local, u16 destid, u8 hopcount, u8 port_num);

ARGUMENTS

port
    Master port associated with the RIO network

local
    local=1 select local port otherwise a far device is reached

destid
    Destination ID of the device to check host bit

hopcount
    Number of hops to reach the target

port_num
    Port (-number on switch) to enable on a far end device

DESCRIPTION

Returns 0 or 1 from on General Control Command and Status Register (EXT_PTR+0x3C)

AUTHOR

Matt Porter <mporter@kernel.crashing.org>, <mporter@mvista.com>
    Author.

COPYRIGHT